com.jscape.inet.mft.audit.reporting.metricses

## Class DailyStatistics

- java.lang.Object
- - com.jscape.inet.mft.audit.reporting.metricses.DailyStatistics

- All Implemented Interfaces:
    Metrics<DailyStatistics.Visitor>, com.jscape.util.Copyable<Metrics>, com.jscape.util.Visitable<DailyStatistics.Visitor>

      public class DailyStatistics
      extends java.lang.Object
      implements Metrics<DailyStatistics.Visitor>

  Average upload/download bytes for month days.
  Author:
    Alex Usun

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `DailyStatistics.Visitor`

    - ### Nested classes/interfaces inherited from interface com.jscape.util.Visitable

      `com.jscape.util.Visitable.VisitorBase, com.jscape.util.Visitable.VisitorException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DailyStatistics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `accept(DailyStatistics.Visitor visitor)` Backwards dispatching entry point.
    `DailyStatistics` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `double[]` | `getAverageDownloadElapsed()`
    `double[]` | `getAverageDownloads()`
    `double[]` | `getAverageDownloadThroughputs()`
    `double[]` | `getAverageUploadElapsed()`
    `double[]` | `getAverageUploads()`
    `double[]` | `getAverageUploadThroughputs()`
    `int` | `getCounter()`
    `double[]` | `getDownloadElapsed()`
    `double[]` | `getDownloads()`
    `double[]` | `getDownloadThroughputs()`
    `int` | `getInnerPeriods()`
    `double[]` | `getUploadElapsed()`
    `double[]` | `getUploads()`
    `double[]` | `getUploadThroughputs()`
    `void` | `reset()` Resets metrics data.
    `void` | `setCounter(int counter)`
    `void` | `setDownloadElapsed(double[] elapsed)`
    `void` | `setDownloads(double[] value)`
    `void` | `setDownloadThroughputs(double[] value)`
    `void` | `setUploadElapsed(double[] value)`
    `void` | `setUploads(double[] value)`
    `void` | `setUploadThroughputs(double[] value)`
    `java.lang.String` | `toString()`
    `void` | `update(Report report, com.jscape.inet.mft.LogRecord record)` Updates metrics with log record.

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DailyStatistics

          public DailyStatistics()

  - ### Method Detail

    - #### update

          public void update(Report report,
                             com.jscape.inet.mft.LogRecord record)

      Description copied from interface: `Metrics`
      Updates metrics with log record.
      Specified by:
        `update` in interface `Metrics<DailyStatistics.Visitor>`
      Parameters:
        `report` - report instance
        `record` - log record

    - #### reset

          public void reset()

      Description copied from interface: `Metrics`
      Resets metrics data.
      Specified by:
        `reset` in interface `Metrics<DailyStatistics.Visitor>`

    - #### accept

          public java.lang.Object accept(DailyStatistics.Visitor visitor)
                                  throws com.jscape.util.Visitable.VisitorException

      Description copied from interface: `com.jscape.util.Visitable`
      Backwards dispatching entry point.
      Specified by:
        `accept` in interface `com.jscape.util.Visitable<DailyStatistics.Visitor>`
      Parameters:
        `visitor` - a visitor instance
      Returns:
        a visit result if any
      Throws:
        `com.jscape.util.Visitable.VisitorException` - if an error occurs

    - #### copy

          public DailyStatistics copy()

      Specified by:
        `copy` in interface `com.jscape.util.Copyable<Metrics>`

    - #### getInnerPeriods

          public int getInnerPeriods()

    - #### getUploads

          public double[] getUploads()

    - #### setUploads

          public void setUploads(double[] value)

    - #### getDownloads

          public double[] getDownloads()

    - #### setDownloads

          public void setDownloads(double[] value)

    - #### getUploadElapsed

          public double[] getUploadElapsed()

    - #### setUploadElapsed

          public void setUploadElapsed(double[] value)

    - #### getDownloadElapsed

          public double[] getDownloadElapsed()

    - #### setDownloadElapsed

          public void setDownloadElapsed(double[] elapsed)

    - #### getUploadThroughputs

          public double[] getUploadThroughputs()

    - #### setUploadThroughputs

          public void setUploadThroughputs(double[] value)

    - #### getDownloadThroughputs

          public double[] getDownloadThroughputs()

    - #### setDownloadThroughputs

          public void setDownloadThroughputs(double[] value)

    - #### getAverageUploads

          public double[] getAverageUploads()

    - #### getAverageDownloads

          public double[] getAverageDownloads()

    - #### getAverageUploadElapsed

          public double[] getAverageUploadElapsed()

    - #### getAverageDownloadElapsed

          public double[] getAverageDownloadElapsed()

    - #### getAverageUploadThroughputs

          public double[] getAverageUploadThroughputs()

    - #### getAverageDownloadThroughputs

          public double[] getAverageDownloadThroughputs()

    - #### getCounter

          public int getCounter()

    - #### setCounter

          public void setCounter(int counter)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2019. All Rights Reserved